| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Attributes | List of all members
Gaudi.Main.BootstrapHelper.AppMgr Class Reference
Inheritance diagram for Gaudi.Main.BootstrapHelper.AppMgr:
[legend]
Collaboration diagram for Gaudi.Main.BootstrapHelper.AppMgr:
[legend]

## Public Member Functions
def | __init__ (self, ptr, lib)
def | configure (self)
def | initialize (self)
def | start (self)
def | run (self, nevt)
def | stop (self)
def | finalize (self)
def | terminate (self)
def | getService (self, name)
def | setProperty (self, name, value)
def | getProperty (self, name)
def | printAlgsSequences (self)

## Public Attributes
| ptr
| lib

## Private Attributes
| _as_parameter_

## Detailed Description

Definition at line 36 of file Main.py.

## Constructor & Destructor Documentation

def Gaudi.Main.BootstrapHelper.AppMgr.__init__ | ( |  | self,
|  |  | ptr,
|  |  | lib
| ) |  |

Definition at line 37 of file Main.py.

37 def __init__(self, ptr, lib):
38 self.ptr = ptr
39 self.lib = lib
40 self._as_parameter_ = ptr
41
Gaudi.Main.BootstrapHelper.AppMgr.lib
lib
Definition: Main.py:39
Gaudi.Main.BootstrapHelper.AppMgr._as_parameter_
_as_parameter_
Definition: Main.py:40
Gaudi.Main.BootstrapHelper.AppMgr.__init__
def __init__(self, ptr, lib)
Definition: Main.py:37
Gaudi.Main.BootstrapHelper.AppMgr.ptr
ptr
Definition: Main.py:38

## Member Function Documentation

def Gaudi.Main.BootstrapHelper.AppMgr.configure | ( |  | self | ) |

Definition at line 42 of file Main.py.

42 def configure(self):
43 return BootstrapHelper.StatusCode(self.lib.py_bootstrap_fsm_configure(self.ptr))
44
Gaudi.Main.BootstrapHelper.StatusCode
Definition: Main.py:11
Gaudi.Main.BootstrapHelper.AppMgr.ptr
ptr
Definition: Main.py:38
Gaudi.Main.BootstrapHelper.AppMgr.configure
def configure(self)
Definition: Main.py:42

def Gaudi.Main.BootstrapHelper.AppMgr.finalize | ( |  | self | ) |

Definition at line 57 of file Main.py.

57 def finalize(self):
58 return BootstrapHelper.StatusCode(self.lib.py_bootstrap_fsm_finalize(self.ptr))
59
Gaudi.Main.BootstrapHelper.AppMgr.finalize
def finalize(self)
Definition: Main.py:57
Gaudi.Main.BootstrapHelper.StatusCode
Definition: Main.py:11
Gaudi.Main.BootstrapHelper.AppMgr.ptr
ptr
Definition: Main.py:38

def Gaudi.Main.BootstrapHelper.AppMgr.getProperty | ( |  | self,
|  |  | name
| ) |  |

Definition at line 69 of file Main.py.

69 def getProperty(self, name):
70 return BootstrapHelper.Property(self.lib.py_bootstrap_getProperty(self.ptr, name))
71
Gaudi.Main.BootstrapHelper.Property
Definition: Main.py:28
Gaudi.Main.BootstrapHelper.AppMgr.getProperty
def getProperty(self, name)
Definition: Main.py:69
Gaudi.Main.BootstrapHelper.AppMgr.ptr
ptr
Definition: Main.py:38

def Gaudi.Main.BootstrapHelper.AppMgr.getService | ( |  | self,
|  |  | name
| ) |  |

Definition at line 63 of file Main.py.

63 def getService(self, name):
64 return self.lib.py_bootstrap_getService(self.ptr, name)
65
Gaudi.Main.BootstrapHelper.AppMgr.getService
def getService(self, name)
Definition: Main.py:63
Gaudi.Main.BootstrapHelper.AppMgr.ptr
ptr
Definition: Main.py:38

def Gaudi.Main.BootstrapHelper.AppMgr.initialize | ( |  | self | ) |

Definition at line 45 of file Main.py.

45 def initialize(self):
46 return BootstrapHelper.StatusCode(self.lib.py_bootstrap_fsm_initialize(self.ptr))
47
Gaudi.Main.BootstrapHelper.StatusCode
Definition: Main.py:11
Gaudi.Main.BootstrapHelper.AppMgr.ptr
ptr
Definition: Main.py:38
Gaudi.Main.BootstrapHelper.AppMgr.initialize
def initialize(self)
Definition: Main.py:45

def Gaudi.Main.BootstrapHelper.AppMgr.printAlgsSequences | ( |  | self | ) |

Definition at line 72 of file Main.py.

72 def printAlgsSequences(self):
73 return self.lib.py_helper_printAlgsSequences(self.ptr)
74
75 def __init__(self):
Gaudi.Main.BootstrapHelper.AppMgr.printAlgsSequences
def printAlgsSequences(self)
Definition: Main.py:72
Gaudi.Main.BootstrapHelper.AppMgr.ptr
ptr
Definition: Main.py:38
Gaudi.Main.BootstrapHelper.__init__
def __init__(self)
Definition: Main.py:75

def Gaudi.Main.BootstrapHelper.AppMgr.run | ( |  | self,
|  |  | nevt
| ) |  |

Definition at line 51 of file Main.py.

51 def run(self, nevt):
52 return BootstrapHelper.StatusCode(self.lib.py_bootstrap_app_run(self.ptr, nevt))
53
Gaudi.Main.BootstrapHelper.AppMgr.run
def run(self, nevt)
Definition: Main.py:51
Gaudi.Main.BootstrapHelper.StatusCode
Definition: Main.py:11
Gaudi.Main.BootstrapHelper.AppMgr.ptr
ptr
Definition: Main.py:38

def Gaudi.Main.BootstrapHelper.AppMgr.setProperty | ( |  | self,
|  |  | name,
|  |  | value
| ) |  |

Definition at line 66 of file Main.py.

66 def setProperty(self, name, value):
67 return BootstrapHelper.StatusCode(self.lib.py_bootstrap_setProperty(self.ptr, name, value))
68
Gaudi.Main.BootstrapHelper.StatusCode
Definition: Main.py:11
Gaudi.Main.BootstrapHelper.AppMgr.ptr
ptr
Definition: Main.py:38
Gaudi.Main.BootstrapHelper.AppMgr.setProperty
def setProperty(self, name, value)
Definition: Main.py:66

def Gaudi.Main.BootstrapHelper.AppMgr.start | ( |  | self | ) |

Definition at line 48 of file Main.py.

48 def start(self):
49 return BootstrapHelper.StatusCode(self.lib.py_bootstrap_fsm_start(self.ptr))
50
Gaudi.Main.BootstrapHelper.AppMgr.start
def start(self)
Definition: Main.py:48
Gaudi.Main.BootstrapHelper.StatusCode
Definition: Main.py:11
Gaudi.Main.BootstrapHelper.AppMgr.ptr
ptr
Definition: Main.py:38

def Gaudi.Main.BootstrapHelper.AppMgr.stop | ( |  | self | ) |

Definition at line 54 of file Main.py.

54 def stop(self):
55 return BootstrapHelper.StatusCode(self.lib.py_bootstrap_fsm_stop(self.ptr))
56
Gaudi.Main.BootstrapHelper.AppMgr.stop
def stop(self)
Definition: Main.py:54
Gaudi.Main.BootstrapHelper.StatusCode
Definition: Main.py:11
Gaudi.Main.BootstrapHelper.AppMgr.ptr
ptr
Definition: Main.py:38

def Gaudi.Main.BootstrapHelper.AppMgr.terminate | ( |  | self | ) |

Definition at line 60 of file Main.py.

60 def terminate(self):
61 return BootstrapHelper.StatusCode(self.lib.py_bootstrap_fsm_terminate(self.ptr))
62
Gaudi.Main.BootstrapHelper.StatusCode
Definition: Main.py:11
Gaudi.Main.BootstrapHelper.AppMgr.ptr
ptr
Definition: Main.py:38
Gaudi.Main.BootstrapHelper.AppMgr.terminate
def terminate(self)
Definition: Main.py:60

## Member Data Documentation

Gaudi.Main.BootstrapHelper.AppMgr._as_parameter_
| private

Definition at line 40 of file Main.py.

Gaudi.Main.BootstrapHelper.AppMgr.lib

Definition at line 39 of file Main.py.

Gaudi.Main.BootstrapHelper.AppMgr.ptr

Definition at line 38 of file Main.py.

The documentation for this class was generated from the following file:

- Gaudi/python/Gaudi/Main.py